# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "gizmo-math"
version = "0.1.2"
authors = ["Bedir"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A custom ECS and physics engine aimed for realistic simulations."
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://git.bedirkaraabali.com/bdrtr/Yelbegen-engine"

[lib]
name = "gizmo_math"
path = "src/lib.rs"

[dependencies.getrandom]
version = "0.2"
features = ["js"]

[dependencies.glam]
version = "=0.32.1"
features = [
    "serde",
    "bytemuck",
    "rand",
]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.tracing]
version = "0.1.44"
